function xs = fb_analysis(h, S, x)	            % Czesc analizujaca zespolu filtrow.

M = size(h,1);         % Liczba kanalow okreslona rozmiarem macierzy wspolczynnikow.
xs = zeros(M, length(x) / S);                           % Bufor sygnalow kanalowych.
for k = 1 : M,                                               % Iteracja po kanalach.
    v = filter(h(k, :), 1, x);       % Filtracja zapobiegajaca nakladaniu widmowemu.
    xs(k,:) = v(1 : S : end);              % Decymacja: pozostawienie na wyjsciu ...
end                                                             % co $S$-tej probki.