function y = fb_synthesis(f, S, ys)             % Czesc syntezujaca zespolu filtrow.

v = zeros(1, size(ys,2) * S);                    % Bufor sygnalu przed interpolacja.
y = 0;                            % Wyjsciowy sygnal szerokopasmowy (inicjalizacja).
for k = 1 : size(f,1),                                       % Iteracja po kanalach.
    v(1 : S : end) = ys(k, :);  % Wstawienie zer miedzy probki sygnalu podpasmowego.
    y = y + filter(f(k, :), 1, v);   % Interpolacja i dodanie kolejnej skladowej ...
end                                                        % do sygnalu wyjsciowego.