% Przyklad 6.7
function przyklad_06_07()

M = 10;                                                     % Rozmiar transformacji.
W2M = exp(-1i * pi / M);                                         % Stala pomocnicza.
x = rand(M, 1);                             % Losowy wektor poddawany transformacji.

y = W2M .^ (-0.5 * (0 : (M - 1)))' .* x;     % Preprocessing danych poddawanych DFT.
y = fft(y, 2 * M);         % DFT o podwojnym rozmiarze obliczone szybkim algorytmem.
y = W2M .^ (-0.5 * ((0 : (2 * M - 1)) + 0.5))' .* y;    % Postprocessing wyniku DFT.
y = y(1 : M) - y((2 * M) : -1 : (M + 1)); % Powrot do dziedziny liczb rzeczywistych.
% y = real(y(1 : M));                         % Alternatywa: zamiast odejmowania ...
                                              % wziecie czesci rzeczywistej.
y = y ./ sqrt(2 * M);                         % Skalowanie wyniku. Jezeli wzieto ...
                                              % czesc rzeczywista, to pominac 2.
disp([real(y) - dctIVmtx(M) * x, imag(y)]);        % Sprawdzenie poprawnosci wyniku.